Bug 1411627 - The button for page turning is clickable before adding host to engine.
Summary: The button for page turning is clickable before adding host to engine.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: cockpit-ovirt
Classification: oVirt
Component: VDSM
Version: ---
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ovirt-4.1.0-rc
: 0.10.7-0.0.6
Assignee: Marek Libra
QA Contact: Wei Wang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-10 07:24 UTC by Wei Wang
Modified: 2017-02-15 15:05 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-15 15:05:04 UTC
oVirt Team: Virt
rule-engine: ovirt-4.1+
cshao: testing_ack+


Attachments (Terms of Use)
picture (42.02 KB, image/png)
2017-01-10 07:24 UTC, Wei Wang
no flags Details
log files (264.34 KB, application/x-gzip)
2017-01-10 07:28 UTC, Wei Wang
no flags Details


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 70994 0 master MERGED vdsm: Disable NEXT-PREV pagination for no-records 2017-01-23 09:23:33 UTC
oVirt gerrit 70995 0 ovirt-4.1 MERGED vdsm: Disable NEXT-PREV pagination for no-records 2017-01-23 09:29:00 UTC

Description Wei Wang 2017-01-10 07:24:40 UTC
Created attachment 1238988 [details]
picture

Description of problem:
The button for page turning is clickable before adding host to engine.

Version-Release number of selected component (if applicable):
redhat-virtualization-host-4.1-0.20170104.0
cockpit-ovirt-dashboard-0.10.7-0.0.3.el7ev.noarch
cockpit-ws-126-1.el7.x86_64
imgbased-0.9.2-0.1.el7ev.noarch


How reproducible:
100%


Steps to Reproduce:
1. Install RHVH 4.1
2. Login cockpit website hostIP:9090 with root account
3. Go to Virtualization--->Virtual Machines
4. Click the button for page turning


Actual results:
After step 4, the button for page turning is clickable, and the "No VM is running on this host" is displayed additionally.

Expected results:
The button for page turning is unclickable,  and the "No VM is running on this host" should not be displayed additionally.


Additional info:

Comment 1 Wei Wang 2017-01-10 07:28:18 UTC
Created attachment 1238989 [details]
log files

Comment 2 Wei Wang 2017-02-06 09:40:23 UTC
Test Version
redhat-virtualization-host-4.0-20170104.0
cockpit-ovirt-dashboard-0.10.7-0.0.6.el7ev.noarch
cockpit-ws-126-1.el7.x86_64
imgbased-0.9.6-0.1.el7ev.noarch

Steps
1. Install RHVH 4.1
2. Login cockpit website hostIP:9090 with root account
3. Go to Virtualization--->Virtual Machines
4. Click the button for page turning

Result
The button for page turning is unclickable,  and the "No VM is running on this host" isn't displayed additionally.

The bug is verified, change status to VERIFIED.

Comment 3 Wei Wang 2017-02-06 10:10:19 UTC
Correct typo for verify rhvh version, it is redhat-virtualization-host-4.1-20170202.0


Note You need to log in before you can comment on or make changes to this bug.